@import '/$/font/sono/latin/sono-latin.css';
@import '/$/font/roboto-mono/latin/roboto-mono-latin.css';

:root {
    --font-heading: "Roboto Mono", sans-serif;
    --font-body: "Sono", serif;
    
    &:not(:has(body[theme="dark"])) {
        --color-primary-main: rgb(15 23 42);
        --color-text-body: rgb(15 23 42);
        --color-text-heading: rgb(15 23 42);
        --color-text-bold: rgb(15 23 42);
        --color-text-muted: 1rgb(00 116 139);
        --color-text-link: rgb(51 154 240);
        --color-text-code: rgb(0 0 0);
        --color-text-selection: rgb(0 0 0);
        --color-bg-body: rgb(255 255 255);
        --color-bg-code: #eaeaea; /* rgb(254 243 199); */
        --color-bg-selection: rgb(226 232 240);
        --color-border-code: rgb(244 244 245);
    }
    &:has(body[theme="dark"]) {
        --color-primary-main: rgb(255 255 255);
        --color-text-body: rgb(229 229 229);
        --color-text-heading: rgb(255 255 255);
        --color-text-bold: rgb(255 255 255);
        --color-text-muted: rgb(212 212 212);
        --color-text-link: rgb(51 154 240);
        --color-text-code: rgb(255 255 255);
        --color-text-selection: rgb(0 0 0);
        --color-bg-body: black; /* rgb(38 38 38); */
        --color-bg-code: #2a2a2a; /* #3e3e3e; rgb(234 179 8); */
        --color-bg-selection: rgb(255 255 255);
        --color-border-code: rgb(64 64 64);
    }
}